Skip to main content
GET
List virtual account routes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

default to 10, maximum to 100

Required range: 1 <= x <= 100
startingAfter
string

Return records after this cursor.

endingBefore
string

Return records before this cursor.

status
enum<string>

Filter virtual account routes by status.

Available options:
ACTIVE,
INACTIVE
fiatCurrency
string

Filter virtual account routes by fiat currency, e.g. USD.

country
string

Filter virtual account routes by destination country (ISO 3166-1 alpha-3).

transferType
enum<string>

Filter virtual account routes by transfer type.

Available options:
ACH,
WIRE,
SWIFT,
RTP,
PIX,
SPEI,
CHATS,
FPS,
CIPS,
SEPA,
INSTAPAY,
PESONET,
NEQUI,
BANK
userId
string

Public ID of the user to filter by.

Pattern: ^user_[A-Za-z0-9]+$
expand
boolean
default:false

If true, each item in data is a full virtual account route object. If false (default), each item is just the route's public ID.

Response

A cursor-paginated list of virtual account routes.

Cursor-paginated list of virtual account routes. Each item in data is a full route object if expand=true was passed, otherwise just the route's public ID.

data
(string | object)[]

Public ID of the virtual account route (when expand is omitted or false).

pagination
object